Payin Methods
Get Payin’s Required Fields
Certain payment methods may require information to be collected from consumers. This API will provide all parameters potentially needed for a specific payin method. The returned parameters may be either optional or mandatory.
GET
/
v2
/
payins
/
payin_method
/
params
Get Payin’s Required Fields
curl --request GET \
--url https://api.cleverhub.co/api/v2/payins/payin_method/params \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v2/payins/payin_method/params"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v2/payins/payin_method/params', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"record": {
"currency": "AUD",
"symbol": "$",
"logo": "",
"payin_method_name": "au_payid_npp_aud",
"description": "New Payments Platform (NPP)",
"payin_method_params": {
"callback_url": "string:Mandatory callback URL"
},
"payment_type": "pay_in",
"is_refundable": false,
"is_cancellable": false,
"require_contact": true,
"require_kyc": false,
"min_amount": 20,
"max_amount": 10000
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Query Parameters
Payin Method Name (For e.g. ph_bank_maya_php)
Response
OK
Show child attributes
Show child attributes
⌘I
Get Payin’s Required Fields
